%define module  CGI-Application
%define version 3.31
%define release 1mdk
%define	pdir	CGI

Name:		perl-%{module}
Version: 	%{version}
Release:	%{release}
Summary:	%{module} module for perl
License: 	GPL or Artistic
Group:		Development/Perl
Source0: 	http://search.cpan.org/CPAN/authors/id/M/MA/MARKSTOS/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/~markstos/CGI-Application/
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-%version}-%{release}-buildroot
Requires: 	perl-HTML-Template
BuildRequires:	perl-devel
BuildRequires:	perl-CGI
BuildRequires:	perl-HTML-Template

%description
%{module} is intended to make it easier to create sophisticated,
reusable web-based applications. This module implements a methodology
which, if followed, will make your web software easier to design,
easier to document, easier to write, and easier to evolve.

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
%make
%{__make} test

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{makeinstall_std}

%clean 
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes MANIFEST README Examples/*
%{perl_vendorlib}/CGI/*
%{_mandir}/*/*

%changelog
* Tue Nov 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.31-1mdk
- 3.31

* Mon May 10 2004 Michael Scherer <misc@mandrake.org> 3.22-1mdk
- New release 3.22
- rpmbuildupdate aware

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 3.1-2mdk
- Macroize
- %%makeinstall_std
- remove rm buildroot in %%build
- remove automatically found requires

* Thu Jun 05 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 3.1-1mdk
- 3.1

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0-3mdk
- rebuild for new auto{prov,req}

* Fri Apr 25 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 3.0-2mdk
- fixed buildrequires (Stefan van der Eijk <stefan@eijk.nu>) 

* Sun Feb 16 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 3.0-1mdk
- 3.0

* Thu Jan 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.6-3mdk
- rebuild

* Thu Oct 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.6-2mdk
- from Peter Chen <petechen@netilla.com> :
	- Minor fix in spec file and source permission to appease rpmlint.

* Mon Oct 21 2002 Peter Chen <petechen@netilla.com> 2.6-1mdk
- 2.6
- First packaging.
